Page MenuHomePhabricator

Keyboard focus not indicated on list items in the topic action menu (three dots), though focus is set
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  • Launch a wiki on a page
  • Navigate till Talk and hit enter
  • Add any topic with any name
  • Navigate till three dots of the created topic
  • Check if it's list item is accessible using keyboard

Actual Results:

  • No focus feedback to items on dropdown list
  • Keyboard only users will find it difficult to navigate through the page

Expected Results:

  • Focus goes to items on dropdown list, with visual feedback

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptApr 20 2020, 8:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Aklapper renamed this task from Keyboard focus doesn't go on list items of topic three dots to Keyboard focus not indicated on list items in the topic action menu (three dots), though focus is set.Apr 24 2020, 6:40 PM

@Bkudiess-msft: I tried to reproduce on https://www.mediawiki.org/wiki/Structured_Discussions/Sandbox in Firefox 75 and while there is indeed no visual indication of focus on list items, the target links for each focused item work when pressing the Enter key in Firefox 75, so I boldly edit the ticket summary.

Change 591176 had a related patch set uploaded (by VolkerE; owner: Bkudiess-msft):
[mediawiki/extensions/Flow@master] Add focus feedback to dropdown list of actions

https://gerrit.wikimedia.org/r/591176

Change 591176 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Add focus feedback to dropdown list of actions

https://gerrit.wikimedia.org/r/591176

Volker_E closed this task as Resolved.Jun 24 2020, 7:03 AM
Volker_E added a subscriber: Volker_E.

Thanks @Bkudiess-msft! :)